LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 09-06-2004, 12:25 AM   #1
scoobdoobery
LQ Newbie
 
Registered: Aug 2004
Distribution: Yoper, Gentoo
Posts: 6

Rep: Reputation: 0
Radeon FGLRX Drivers and 2.6.* Kernel


Howdy, I was wondering how to put myself through some hell so I decided that I would try to get my radeon 9800 fully supported (hardware acceleration). However, I noted on ATI's website (FAQ) that support for the 2.6 kernel is still under development hence no drivers are supposed to be available; rather, the drivers are only supposed to work for the 2.4 kernel variety. This is a problem for me as both distros I'm using (Gentoo and Yoper) are using the 2.6 kernel and I don't really want to revert. Does anyone out there (preferably with some experience with this task) know if you can work around this issue and actually get hardware acceleration with the 2.6 kernel? I just want to know if I should even try this.

Thanks
 
Old 09-06-2004, 05:47 AM   #2
hw-tph
Senior Member
 
Registered: Sep 2003
Location: Sweden
Distribution: Debian
Posts: 3,032

Rep: Reputation: 57
Hardware acceleration works with the 2.6 kernels, I think ATI is just covering up in the case people have problems with it (and people do!). TIt has worked very well for me. ACCEPT_KEYWORDS="~x86" emerge ati-drivers ati-drivers-extra will download and install the latest drivers in Gentoo. Make a backup of your xorg.conf or XF86Config(-4) and run fglrxconfig to configure X to use the ati drivers.

You will need to have the AGP support for your motherboard's chipset in the kernel, else you'll need to use the internal AGP support in the driver and that is quite sketchy with some motherboards.


Håkan
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Ati Fglrx amd64 latest drivers + 2.6.13 kernel problem ssobeht Linux - Hardware 3 11-18-2005 06:01 AM
No OpenGL, Debian, Radeon 9250 PCI using fglrx drivers quietbyday Linux - Hardware 10 10-04-2005 08:10 PM
ATi fglrx drivers in Gentoo + kernel 2.6.10 vharishankar Linux - Distributions 1 03-08-2005 01:26 AM
Xfree 4.4 and Radeon fglrx drivers Menestrel Slackware 3 04-15-2004 04:36 AM
FGLRX drivers - Slackware 9.1 - Radeon 9600 Pro gf3 Linux - Software 2 04-09-2004 03:22 AM


All times are GMT -5. The time now is 08:24 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration